BODY {
    background-color: #ccc;
    font-family: Seshat;
    font-size: 16px;
    line-height: 27px;
    margin: 0;
    padding: 0;
}

HTML,BODY {
    width: 100%;
    height: 100%;
}

* {
    -webkit-print-color-adjust: exact !important;
    color-adjust: exact !important;
    print-color-adjust: exact !important;
}

/* Interface */

.header {
    overflow-x: hidden;
    background-color: #333;
    padding:20px 10px;
    color: #fff;
    user-select: none;
}

.footer {
    font-size: 12px;
    background-color: #333;
    color: #fff;
    text-align: center;
    padding:10px;
    margin-top:20px;
    line-height: 14px;
}

.footer A {
    color:#fff;
}

.footer .notice {
    color:#ccc;
}

.header .content {
    width:80%;
    margin: auto;
}

.header .settings {
    margin-bottom:20px;
    padding-bottom:20px;
    border-bottom:1px solid #fff;
}

.header .settings.closed {
    display: none;
}

.header .settings .panel .section {
    margin-bottom: 3px;
}

.header .settings .panel {
    margin-bottom:10px;
}

.header .settings .items {
    background-color: #fff;
    border-radius: 10px;
    color:#333;
    white-space: nowrap;
    overflow: hidden;
}

.header .settings .selector, .header .settings .label {
    display: inline-block;
}

.header .settings .selector {
    margin-right:5px;
}

.header .settings .items {
    background-color: #fff;
    border-radius: 10px;
    color:#333;
}

.header .settings .item {
    padding:5px;
}

.header .settings .item .name {
    font-weight: bold;
}

.header .settings .item .optionbutton, .popupcontainer .popupbox .popupbutton {
    display: inline-block;
    background-color: #333;
    color:#fff;
    border-radius: 5px;
    padding: 0px 10px;
    font-family: Seshat;
    font-size: 16px;
    cursor: pointer;
    text-align: center;
    white-space: nowrap;
}

.header .toolbar {
    white-space: nowrap;
}

.noticebar {
    padding:5px;
    background-color: #fff;
    text-align: center;
    border-bottom: 2px solid #333;
}

.header .leftTools {
    float:left;
    vertical-align: middle;
}

.header .rightTools {
    float:right;
    vertical-align: middle;
}

.header .logo, .header .button, .header .language {
    display: inline-block;
    vertical-align: middle;
    margin: 0 10px;
}

.header .logo .title {
    white-space: nowrap;
    font-size: 26px;
    font-family: Ferrum;
}

.header .logo .subtitle {
    white-space: nowrap;
    margin-top:5px;
    font-size: 14px;
    line-height: 12px;
}

.header .button {
    cursor: pointer;
    width:50px;
    height: 50px;
    background-color: #fff;
    border-radius: 50px;
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
}

.header .newQuest {
    background-image: url(../images/iconDice.png);
}

.header .settingsButton {
    background-image: url(../images/iconSettings.png);
}

.header .printButton {
    background-image: url(../images/iconPrint.svg);
}

.header SELECT {
    border:1px solid #fff;
    border-radius: 3px;
    padding:5px;
}

/* Generating message */

.generating {
    text-align: center;
    margin:20px;
    font-weight: bold;
    text-shadow: 0px 1px 0px #fff;
}

/* Popup */

.popupcontainer {
    position: fixed;
    left:0;
    right:0;
    top:0;
    bottom:0;
    background-color: rgba(51, 51, 51, 0.9);
}

.popupcontainer .popupbox {
    width:80%;
    max-width: 500px;
    margin:auto;
    border-radius:10px;
    background-color: #fff;
    border:2px solid #333;
    padding:20px;
    margin-top:5px;
    text-align: center;
}

.popupcontainer .popupbox P {
    margin:0 0 10px 0;
}

.popupcontainer .popupbox .popupbutton {
    margin:10px 10px 0 10px;
    padding:10px 20px;
    min-width:40px;
}

/* Campaign */

.campaignBrowser {
    position: relative;
    margin-top:1px;
    background-color: #333;
    height:30px;
    user-select: none;
}

.campaignBrowser .leftButton, .campaignBrowser .rightButton {
    position: absolute;
    top:5px;
    bottom:5px;
    width:30px;
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    cursor: pointer;
}

.campaignBrowser .leftButton {
    left:10px;
    background-image: url(../images/footerArrowLeft.png);
}

.campaignBrowser .rightButton {
    right:10px;
    background-image: url(../images/footerArrowRight.png);
}

.campaignBrowser .pageLabel {
    position: absolute;
    top:0px;
    bottom:0px;
    left:50px;
    right:50px;
    line-height: 30px;
    color:#fff;
    font-size:16px;
    white-space: nowrap;
    text-overflow: ellipsis;
    text-align: center;
    cursor: pointer;
}

.campaignLogo {
    display: block;
    width:40%;
    margin:0 auto 10px auto;
    animation-name: campaign-logo;
    animation-timing-function: ease-out;
    animation-duration: 3s;
}

.coverCampaign.quest {
    padding-top:1px;
}

.coverCampaign .cover {
    padding:30px 0 30px 0;
    margin-bottom:30px;
    background-color: #333;
}

.campaignName {
    text-transform: uppercase;
    font-family: Ferrum;
    font-size: 60px;
    line-height: 60px;
    text-align: center;
    padding: 0 10px;
    margin:20px 0 0 0;
    letter-spacing:5px;
    color:#fff;
    animation-name: campaign-title;
    animation-timing-function: ease-out;
    animation-duration: 3s;
}

.gotopage {
    font-weight: bold;
    text-decoration: underline;
    cursor: pointer;
}

.campaignProgression {
    background-color: #ccc;
    padding:10px;
    margin:20px;
}

.campaignProgression UL {
    margin:0;
    padding-left:20px;
}

.campaignProgressionQuestName {
    text-align: center;
    font-size: 16px;
    text-transform: uppercase;
    font-weight: bold;
}

.campaignProgressionTitle {
    font-family: Ferrum;
    text-align: center;
    font-size: 20px;
    text-transform: uppercase;
}

.campaignStory P {
    font-style: italic;
    margin:10px 0;
}

.campaignNextMission {
    font-variant: small-caps;
    font-weight: bold;
    margin:20px 0 10px 0;
}

.campaignProgressionBody {
    margin:10px 0;
}

.campaignVictoryCase {
    font-variant: small-caps;
    font-weight: bold;
    margin:10px 0;
    padding: 0;
}

.campaignCongratulations {
    font-size: 18px;
    text-transform: uppercase;
    font-weight: bold;
    margin:10px 0 0 0px;
    padding: 0;
}

.campaignEndingStory P {
    font-weight: bold;
    margin:10px 0;
    font-style: italic;
}

.achievementSpacing {
    display: inline-block;
    width:40px;
}

.sideQuestSubtitle {
    font-variant: small-caps;
    font-weight: bold;
}

.sideQuestStory {
    font-style: italic;
}

/* Quest */

.quest {
    position: relative;
    padding:30px 0 0 0;
    width:70%;
    margin:auto;
    background-color: #fff;
    box-shadow: 0px 0px 5px #333;
    background-image: url(../images/background.png);
    background-repeat: repeat-y;
}

.quest .notavailable {
    padding: 0 10px 20px 10px;
    text-align: center;
}

@keyframes massiverandomness-bg {
    from {background-size: 100% 0px, auto;}
    50% {background-size: 100% 0px, auto;}
    to {background-size: 100% 160px, auto;}
}

@keyframes massiverandomness-colors {
    from {filter: none; }
    50% {filter: none;}
    to {filter: brightness(40%) sepia(40) saturate(40) hue-rotate(13deg);}
}

@keyframes massiverandomness-text {
    from { color:#333 }
    50% { color:#333; text-shadow: 0px -1px 1px rgba(51, 51, 51, 0), 0px 1px 1px rgba(255, 255, 255, 0); }
    to { color:#000; text-shadow: 0px -1px 1px rgba(51, 51, 51, 1), 0px 1px 1px rgba(255, 255, 255, 1); }
}

@keyframes massiverandomness-left {
    from { transform: rotate(0); filter: none; }
    50% { transform: rotate(0); filter: none; }
    to { transform: rotate(45deg); filter: brightness(40%) sepia(40) saturate(40) hue-rotate(13deg); }
}

@keyframes massiverandomness-right {
    from { transform: rotate(0); filter: none; }
    50% { transform: rotate(0); filter: none; }
    to { transform: rotate(-45deg); filter: brightness(40%) sepia(40) saturate(40) hue-rotate(13deg); }
}

@keyframes campaign-logo {
    from { opacity: 0; transform:translate(0,-20px); }
    to { opacity: 1; transform:translate(0,0px); }
}

@keyframes campaign-logo-still {
    from { opacity: 0; }
    to { opacity: 1; }
}

@keyframes campaign-title {
    from,60% { opacity: 0; letter-spacing:0px; }
    to { opacity: 1; }
}

.quest.massiverandomness {
    background-image: linear-gradient(to bottom, rgb(204, 204, 204, 1), rgba(204, 204, 204, 0)), url(../images/background.png);
    background-repeat: no-repeat, repeat-y;
    background-size: 100% 160px, auto;
    animation-name: massiverandomness-bg;
    animation-timing-function: ease-out;
    animation-duration: 3s;
}

.quest.massiverandomness .questHead .title, .quest.massiverandomness .sheetQuestHeader {
    color: #000;
    text-shadow: 0px -1px 1px #333, 0px 1px 1px #fff;
    animation-name: massiverandomness-text;
    animation-timing-function: ease-out;
    animation-duration: 3s;
}

.quest.massiverandomness .sheetHeader {
    filter: brightness(40%) sepia(40) saturate(40) hue-rotate(13deg);
    animation-name: massiverandomness-colors;
    animation-timing-function: ease-out;
    animation-duration: 3s;
}

.quest.massiverandomness .left.diamond {
    filter: brightness(40%) sepia(40) saturate(40) hue-rotate(13deg);
    animation-name: massiverandomness-left;
    animation-timing-function: ease-out;
    animation-duration: 3s;
    transform: rotate(45deg);
}

.quest.massiverandomness .right.diamond {
    filter: brightness(40%) sepia(40) saturate(40) hue-rotate(13deg);
    animation-name: massiverandomness-right;
    animation-timing-function: ease-out;
    animation-duration: 3s;
    transform: rotate(-45deg);
}

.quest.massiverandomness .diamond, .quest.massiverandomness .mapSeparator {
    filter: brightness(40%) sepia(40) saturate(40) hue-rotate(13deg);
    animation-name: massiverandomness-colors;
    animation-timing-function: ease-out;
    animation-duration: 3s;
}

.quest A, .header A {
    color:#333;
}

.quest .credits {
    text-align: center;
    border-bottom:1px solid #ccc;
    margin:0;
    padding:10px;
}

.quest .sheetHeader {
    height:30px;
    background-image: url(../images/header.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    margin: 0 10px 20px 10px;
}

.quest .sheetQuestHeader {
    text-align: center;
    font-weight: bold;
    font-size: 20px;
    margin-bottom: 10px;
    text-transform:uppercase;
}

.quest .questHead {
    margin:0 20px;
}

.quest .title {
    justify-content: center;
    margin:0px 20px;
    position: relative;
    display: flex;
    margin: auto;
}

.quest .title .diamond  {
    min-width:40px;
    background-repeat: no-repeat;
    background-size: 100% auto;
    background-position: center;
    background-image: url(../images/titleDiamond.png);
}

.quest .title .diamond .left {
    vertical-align:right center;
}

.quest .title .diamond .right {
    vertical-align:left center;
}

.quest .title .text {
    text-transform: uppercase;
    font-family: Ferrum;
    font-size: 40px;
    line-height: 44px;
    text-align: center;
    padding: 0 10px;
}

.quest .author {
    line-height: 14px;
    font-size: 12px;
    text-align: center;
    margin:5px 20px 20px 20px;
}

.quest .story {
    font-family: Seshat;
    font-size: 20px;
    line-height: 24px;
    text-align: center;
    margin:20px 0;
}

.quest .objectivesTitle, .quest .specialRulesTitle, .quest .challengesTitle, .quest .sideQuestTitle {
    font-family: Ferrum;
    border-bottom: 1px solid #000;
    font-size: 20px;
    padding:0;
    margin:20px 0;
    text-transform: uppercase;
}

.quest .objectivesTitle .diamond, .quest .specialRulesTitle .diamond, .quest .challengesTitle .diamond, .quest .sideQuestTitle .diamond  {
    background-image: url(../images/subtitleDiamond.png);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    width:20px;
    height:20px;
    margin-right: 10px;
    display: inline-block;
}

.quest .objectives, .quest .specialRules, .quest .tiles, .quest .story, .quest .challenges, .quest .sideQuest {
    margin: 20px 0;
}

.quest .objectives LI, .quest .specialRules LI, .quest .sideQuest LI {
    margin:10px 0;
}

.quest .objectives LI > * > LI, .quest .specialRules LI > * > LI, .quest .sideQuest LI > * > LI  {
    margin:5px 0;
}

.quest .tokensList {
    background-color: #ccc;
    padding:10px;
    margin:20px;
    text-align: center;
}

.quest .tokenElement {
    text-align: center;
    display: inline-block;
    vertical-align: top;
    margin: 5px;
    width:20%;
}

.quest .tokenDescription {
    line-height: 20px;
    font-weight: bold;
    font-style: italic;
}

.quest .tokenElement .token {
    position: relative;
    display: block;
    margin: 0 auto 10px auto;
}

.quest .tokenElement .token.door {
    border-bottom-width: 4px;
}

.quest .token.door {
    width:30px;
    height:30px;
    border:2px solid #000;
    background-color: #fff;
}

.quest .miniMap {
    text-align: center;
    padding:10px 0;
    margin:20px;
    overflow-x: auto;
}

.quest .minimapImage {
    display: inline-block;
    position: relative;
    white-space: nowrap;
}

.quest .minimapNodeContent {
    position: absolute;
    left:0;
    right:0;
    top:0;
    bottom:0;
    text-align: center;
    background-color: #ccc;
    border:1px solid #fff;
    color:#000;
    font-family: Ferrum;
    font-size: 20px;
}

.quest .lootRatio {
    line-height: 20px;
    background-color: #ccc;
    padding:10px;
    margin:20px;
}

.quest .lootRatioContent {
    margin:20px 0;
    text-align: center;
}

.quest .lootRatioRow {
    display: inline-block;
    margin:5px 20px;
    text-align: center;
    white-space: nowrap;
}

.quest .lootRatioRow .perPlayer {
    display: inline-block;
    vertical-align: middle;
    width:30px;
    height:30px;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    background-image: url(../images/perPlayer.png);
}

.quest .lootRatioRow .token {
    display: inline-block;
    margin-right: -7px;
}

.quest .symbol, .quest .intensity {
    display: inline-block;
    vertical-align: middle;
    border-radius: 3px;
    background-position: left center;
    background-size: contain;
    background-repeat: no-repeat;
    white-space: nowrap;
    font-size: 10px;
    margin:0 2px;
}

.quest .symbol.icon {
    height: 24px;
    width: 24px;
}

.quest .intensity {
    height: 20px;
    width: 17px;
    margin-left:-5px;
    background-image: url(../images/intensity.png);
}

.quest .symbol.icon.sword {
    background-image: url(../images/sword.png);
}

.quest .symbol.icon.shield {
    background-image: url(../images/shield.png);
}

.quest .symbol.icon.scratch {
    background-image: url(../images/scratch.png);
}

.quest .symbol.icon.fang {
    background-image: url(../images/fang.png);
}

.quest .symbol.icon.rangeRanged {
    background-image: url(../images/rangeRanged.png);
}

.quest .symbol.icon.rangeMagic {
    background-image: url(../images/rangeMagic.png);
}

.quest .symbol.icon.rangeMelee {
    background-image: url(../images/rangeMelee.png);
}

.quest .symbol.icon.mana {
    background-image: url(../images/mana.png);
}

.quest .symbol.icon.face {
    background-image: url(../images/face.png);
}

.quest .symbol.token {
    height: 20px;
    width: 20px;
    border:2px solid #000;
    border-radius: 20px;
}

.quest .symbol.token.corruption {
    background-image: url(../images/tokenCorruption.png);
}

.quest .symbol.token.time {
    background-image: url(../images/tokenTime.png);
}

.quest .symbol.token.mob {
    background-image: url(../images/tokenMob.png);
}

.quest .symbol.token.frost {
    background-image: url(../images/tokenFrost.png);
}

.quest .symbol.token.fire {
    background-image: url(../images/tokenFire.png);
}

.quest .symbol.dice {
    height:20px;
    line-height: 20px;
    padding-left:20px;
    padding-right: 3px;
    border:2px solid transparent;
    background-image: url(../images/dice.png);
}

.quest .symbol.dice.yellow {
    background-color: #f8c701;
    border-color:#f8c701;
}

.quest .symbol.dice.orange {
    background-color: #ee8245;
    border-color:#ee8245;
}

.quest .symbol.dice.blue {
    background-color: #41b6df;
    border-color:#41b6df;
}

.quest .symbol.dice.black {
    color:#fff;
    background-color: #413736;
    border-color:#413736;
}

.quest .symbol.dice.purple {
    color:#fff;
    background-color: #3d2978;
    border-color:#3d2978;
}

.quest .symbol.dice.red {
    color:#fff;
    background-color: #f00;
    border-color:#f00;
}

.quest .symbol.dice.green {
    color:#fff;
    background-color: #00bc00;
    border-color:#00bc00;
}

.quest .phase {
    font:serif;
    font-weight: bold;
    font-variant: small-caps;
    text-decoration: underline;
}

.quest .mapseparator {
    height:30px;
    background-image: url(../images/mapSeparator.png);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}

.quest .questFooter {
    white-space: nowrap;
    overflow: hidden;
    color:#fff;
    font-family: Ferrum;
    text-align: center;
    line-height: 90px;
    background-image: url(../images/footer.png);
    background-repeat: repeat-x;
    background-size:auto 100%;
    height:90px;
    font-size: 30px;
}

.quest .questFooter .arrow  {
    display: inline-block;
    vertical-align:middle;
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    margin: 0 10px 10px 10px;
    width:50px;
    height:50px;
}

.quest .questFooter .arrow.left {
    background-image: url(../images/footerArrowLeft.png);
}

.quest .questFooter .arrow.right {
    background-image: url(../images/footerArrowRight.png);
}

.quest .showtext {
    border-radius:5px;
    white-space: inherit;
    border:2px solid #333;
    background-color: rgba(0,255,0,0.2);
    padding:5px;
    cursor: pointer;
}

.quest .bossBattleTitle {
    font-variant: small-caps;
    font-weight: bold;
    margin-bottom:20px;
}

@media screen and (max-width: 980px) {

    .quest .questFooter {
        font-size: 18px;
    }

    .quest .questFooter .arrow {
        width: 20px;
        height:20px;
        margin-bottom: 5px;
    }
}

/* Map */

.map {
    text-align: center;
    padding:10px 0;
    margin:20px;
}

.map.displayonly {
    overflow-x: auto;
}

.mapImage {
    display: inline-block;
    position: relative;
    white-space: nowrap;
}

.tile {
    background-color: #fff;
}

.tile .cell {
    position: relative;
    display:inline-block;
    width:120px;
    height:120px;
    font-size:10px;
}

.tile .container {
    border:3px solid #333;
}

.tile .cell .inner {
    position: absolute;
    left:0;
    right:0;
    top:0;
    bottom: 0;
}

.tile .cell.topborder .inner {
    border-top:3px solid #999;
}

.tile .cell.rightborder .inner {
    border-right:3px solid #999;
}

.tile .cell.bottomborder .inner {
    border-bottom:3px solid #999;
}

.tile .cell.leftborder .inner {
    border-left:3px solid #999;
}

.tile .cell.bridge.topborder .inner {
    border-top:6px solid #000;
}

.tile .cell.bridge.rightborder .inner {
    border-right:6px solid #000;
}

.tile .cell.bridge.bottomborder .inner {
    border-bottom:6px solid #000;
}

.tile .cell.bridge.leftborder .inner {
    border-left:6px solid #000;
}

.tile .cell.solidtopborder .inner {
    border-top:3px dotted #999;
}

.tile .cell.solidrightborder .inner {
    border-right:3px dotted #999;
}

.tile .cell.solidbottomborder .inner {
    border-bottom:3px dotted #999;
}

.tile .cell.solidleftborder .inner {
    border-left:3px dotted #999;
}

.tile .cell.tophedge .inner {
    border-top:3px dashed #388238;
}

.tile .cell.righthedge .inner {
    border-right:3px dashed #388238;
}

.tile .cell.bottomhedge .inner {
    border-bottom:3px dashed #388238;
}

.tile .cell.lefthedge .inner {
    border-left:3px dashed #388238;
}

.tile .cell.dark .background {
    background-color: #333;
}

.tile .cell.lava .background {
    border: 2px solid #f33;
}

.tile .cell.crystal .background {
    border: 2px solid #33f;
}

.tile .cell.light .background, .tile .cell.crystal .background {
    background-color: #fff;
}

.tile .cell.water .background  {
    border: 2px dashed #33f;
}

.tile .cell.blocking .inner {
    background-color: #000;
}

.tile .cell.blocking .background {
    display: none;
}

.tile .cell.corridor.light .background {
    border: 2px solid #333;
}

.tile .cell.room .inner {
    background-color: #ccc;
}

.tile .cell .content {
    white-space:wrap;
    text-align: center;
    position: absolute;
    left:20px;
    right:20px;
    top:20px;
    bottom:20px;
    z-index: 100;
}

.tile .cell .background {
    opacity: 0.15;
    position: absolute;
    border-radius: 10px;
    left:10px;
    right:10px;
    top:10px;
    bottom: 10px;
}

.tile .hiddenblock {
    z-index: 100;
    cursor: pointer;
    position: absolute;
    left:0;
    right: 0;
    top: 0;
    bottom: 0;
    background-color: rgba(0,255,0,0.2);
    font-size: 70px;
    text-align: center;
    color:#fff;
    line-height:120px;
    user-select: none;
}

.token {
    position: relative;
    background-repeat: no-repeat;
    background-position: center center;
    background-size: contain;
    vertical-align: middle;
}

.token .count {
    display: inline-block;
    position: absolute;
    right:-25%;
    top:50%;
    font-weight: bold;
    font-size: 20px;
    line-height: 20px;
    color:#fff;
    text-shadow: -2px -2px 0px #000, -2px 0px 0px #000, -2px 2px 0px #000, 2px -2px 0px #000, 2px 0px 0px #000, 2px 2px 0px #000, 0px 2px 0px #000, 0px -2px 0px #000;
}

.cell .content .token {
    display: inline-block;
    margin-right: -7px;
    margin-bottom: -7px;
}

.token.smallRound {
    width:25px;
    height:25px;
    border-radius:30px;
    border:2px solid #000;
    background-color: #fff;
    border-bottom-width: 4px;
}

.token.largeRound {
    width:40px;
    height:40px;
    border-radius:30px;
    border:2px solid #000;
    border-bottom-width: 4px;
    background-color: #fff;
}

.token.outlined {
    width:40px;
    height:40px;
    border-radius:5px;
    background-color: #fff;
}

.token.tall {
    width:30px;
    height:30px;
    border-radius:5px;
    border:2px solid #fff;
    background-color: #fff;
}

.token.largeSquared {
    width:40px;
    height:40px;
    border:2px solid #000;
    border-bottom-width: 4px;
    background-color: #fff;
}

.token.largeOutlined {
    width:40px;
    height:40px;
    border-radius:10px;
    background-color: #fff;
}

.token.regularChest {
    width:40px;
    height:30px;
    border-radius: 5px;
    border:2px solid #fff;
    background-color: #fff;
}

.token.greaterChest {
    border-radius: 5px;
    width:45px;
    height:35px;
    border:2px solid #fff;
    background-color: #fff;
}

.token.portal3, .token.portal5, .token.greenPortal {
    background-color: #090;
}

.token.regularPortal {
    background-color: #00f;
}

.token.startPoint, .token.startMob, .token.startRoaming {
    background-color: #f00;
}

.token.loot {
    background-image: url('../images/tokenLoot.png');
}

.token.mob {
    background-image: url('../images/tokenMob.png');
}

.token.objective {
    background-image: url('../images/tokenObjective.png');
}

.token.objective.flipped {
    background-image: url('../images/tokenFlippedObjective.png');
}

.token.forge {
    background-image: url('../images/tokenForge.png');
}

.token.regularChest {
    background-image: url('../images/tokenRegularChest.png');
}

.token.greaterChest {
    background-image: url('../images/tokenGreaterChest.png');
}

.token.pillar {
    background-image: url('../images/tokenPillar.png');
}

.token.spikeTrap {
    background-image: url('../images/tokenSpikeTrap.png');
}

.token.startPoint {
    background-image: url('../images/tokenStartPoint.png');
}

.token.regularPortal, .token.greenPortal {
    background-image: url('../images/tokenRegularPortal.png');
}

.token.portal3 {
    background-image: url('../images/tokenPortal3.png');
}

.token.portal5 {
    background-image: url('../images/tokenPortal5.png');
}

.token.bearTrap {
    background-image: url('../images/tokenBearTrap.png');
}

.token.fountain {
    background-image: url('../images/tokenFountain.png');
}

.token.startMob {
    background-image: url('../images/tokenStartMob.png');
}

.token.startRoaming {
    background-image: url('../images/tokenStartRoaming.png');
}

.token.time {
    background-image: url('../images/tokenTime.png');
}

.token.corruption {
    background-image: url('../images/tokenCorruption.png');
}

.token.frost {
    background-image: url('../images/tokenFrost.png');
}

.token.fire {
    background-image: url('../images/tokenFire.png');
}

.token.bridge {
    background-image: url('../images/bridge.png');
}

.token.door {
    display: block;
    position: absolute;
    margin: 0;
}

.token.marked.red {
    border-color: #f00;
    background-color: #fdd;
}

.token.door {
    background-image: url('../images/tokenDoor.png');
}

.token.flipped.door {
    background-image: url('../images/tokenOpenDoor.png');
}

.cell .door {
    z-index: 50;
    width:30px;
    height:30px;
    border:2px solid #000;
    background-color: #fff;
}

.token.door.side-0 {
    border-bottom-width: 4px;
    left:47px;
    top:-15px;
}

.token.door.marked.side-0 {
    border-left-style: dotted;
    border-right-style: dotted;
    border-top-style: dotted;
}

.token.door.side-1 {
    border-right-width: 4px;
    transform: rotate(90deg);
    right:-16px;
    top:45px;
}

.token.door.marked.side-1 {
    border-left-style: dotted;
    border-bottom-style: dotted;
    border-top-style: dotted;
}

.token.door.side-2 {
    border-top-width: 4px;
    left:46px;
    bottom:-18px;
    transform: rotate(180deg);
}

.token.door.marked.side-2 {
    border-left-style: dotted;
    border-right-style: dotted;
    border-bottom-style: dotted;
}

.token.door.side-3 {
    border-left-width: 4px;
    transform: rotate(270deg);
    left:-17px;
    top:45px;
}

.token.door.marked.side-3 {
    border-right-style: dotted;
    border-bottom-style: dotted;
    border-top-style: dotted;
}

.printonly {
    display: none;
}

/* Printing */

@media print {

    BODY {
        background-color: transparent;
        line-height: 18px;
        font-size:14px;
    }

    .printAllPages > .printPage {
        page-break-after: always;
    }

    .printAllPages > .printPage:last-child {
        page-break-after: auto;
    }

    .printAllPages > .printPage .campaignBrowser {
        display: none;
    }

    SPAN.printonly {
        display: inline;
    }

    DIV.printonly {
        display: block;
    }

    LI.printonly {
        display: list-item;
    }

    .displayonly {
        display: none !important;
    }

    .gotopage {
        text-decoration: none;
    }

    .header, .footer, .noticebar, .popupcontainer {
        display: none;
    }

    .quest, .quest.massiverandomness {
        animation-name:none;
        margin:0;
        padding:0;
        width:auto;
        box-shadow: none;
        background-image: none;
    }

    .quest.massiverandomness .questHead .title, .quest.massiverandomness .sheetQuestHeader {
        animation-name:none;
        color:#333;
        text-shadow: none;
    }

    .quest.massiverandomness .title .diamond, .quest.massiverandomness .sheetHeader {
        animation-name:none;
        filter: none;
    }

    .quest .questHead {
        margin:10px 0px 20px 0px;
        columns:2;
    }

    .quest .sheetQuestHeader {
        font-size: 16px;
    }

    .quest .symbol.token {
        height: 12px;
        width: 12px;
    }

    .quest .symbol.icon {
        height: 14px;
        width: 14px;
    }

    .quest .symbol.dice {
        height: 14px;
        padding-left: 14px;
        padding-right: 2px;
        line-height: 14px;
        color:#000 !important;
        background-color: transparent !important;
        border-color: #ccc !important;
    }

    .quest .title {
        font-size: 26px;
        line-height: 30px;
        padding-top: 0;
    }

    .quest .author {
        margin:0px 0px 10px 0;
    }
        
    .quest .story {
        font-size: 16px;
        line-height: 18px;
    }

    .quest .tokenElement {
        width:10%;
    }

    .quest .tokenElement .token {
        margin-bottom: 5px;
    }

    .quest .tokenDescription {
        font-size: 12px;
        line-height: 12px;
    }

    .quest .objectivesTitle, .quest .specialRulesTitle, .quest .challengesTitle, .quest .sideQuestTitle {
        margin:15px 0 10px 0;
        padding-bottom:5px;
    }

    .quest .objectives, .quest .specialRules, .quest .tiles, .quest .story, .quest .challenges, .quest .lootRatio {
        margin-left: 0;
        margin-right: 0;
        margin-top:10px;
        margin-bottom:10px;
    }

    .quest .tokensList, .quest .lootRatio {
        padding:5px;
        background-color: transparent;
        border: 2px solid #ccc;
        margin-left: 0;
        margin-right: 0;
    }

    .quest OL, .quest UL, .quest LI, .quest P {
        margin:5px 0;
    }
    
    .quest OL, .quest UL {
        padding-left:20px;
    }

    .quest .objectives LI, .quest .specialRules LI, .quest .objectives LI > * > LI, .quest .specialRules LI > * > LI {
        margin:5px 0;
    }    

    .quest .map {
        overflow: hidden;
    }

    .quest .mapImage {
        transform-origin: 0 0;
        transform:scale(0.5);
    }

    .quest .showtext {
        display: none;
    }

    .quest .hiddentext {
        display:inline !important;
    }

    .tile .cell.tophedge .inner, .tile .cell.righthedge .inner, .tile .cell.bottomhedge .inner, .tile .cell.lefthedge .inner {
        border-color:#ccc;
    }

    .tile .cell.water .background  {
        border: 2px dotted #333;
    }

    .tile .cell.room .inner {
        background-color: transparent;
    }

    .tile .cell.room .background {
        border: 2px solid #333;
    }

    .tile .cell.dark .background {
        border: 2px solid #333;
        background-color: transparent;
    }

    .tile .cell.room.light .background, .tile .cell.corridor.light .background {
        border-style: dashed;
        border-color: #333;
    }

    .tile .cell.room.crystal .background, .tile .cell.corridor.lava .background {
        border-style: dotted;
        border-color: #333;
    }

    .token.greenPortal, .token.portal3, .token.portal5, .token.startPoint {
        background-color: transparent;
    }

    .token.startRoaming {
        background-color: #333;
    }

    .token.regularPortal {
        background-color: #ccc;
    }

    .token.startMob {
        background-color: #333;
    }

    .quest .minimapNodeContent {
        background-color: transparent;
        border-color: #000;
    }

    .quest .lootRatioContent {
        margin:5px 0;
    }

    .quest .lootRatioRow .perPlayer {
        width: 20px;
        height: 20px;
    }

    .quest .lootRatioRow .token {
        width: 14px;
        height: 14px;
        margin-right:-3px;
    }

    .tile .cell.corridor.light .background, .tile .cell.blocking .inner {
        background-color: transparent;
    }

    .campaignProgression {
        page-break-inside: avoid;
        margin:20px 0;
    }

    .campaignLogo {
        width:20%;
    }

    .campaignName {
        animation-name:none;
        font-size: 25px;
        line-height: 25px;
        text-align: center;
        padding: 0;
        margin:10px 0;
        letter-spacing:0;
        text-shadow:none;
        letter-spacing: 5px;
    }

    .coverCampaign .title .text {
        font-size: 16px;
        line-height: 18px;
    }

    .coverCampaign .cover {
        padding:10px 0 10px 0;
        margin-bottom:20px;
    }

    .quest .bossBattleTitle {
        margin-bottom:5px;
    }

}

/* Mobile */

@media screen and (max-width: 825px) {

    .noticebar {
        font-size: 12px;
        line-height: 14px;
    }

    .header .button {
        width:40px;
        height:40px;
    }

    .header .logo .title {
        font-size:20px;
    }

    .header {
        padding:10px;
    }

    .quest {
        margin:0;
        width: auto;
        padding-top: 20px;
    }

    .header .content {
        width: auto;
    }

    .quest .questHead, .quest .tokensList, .quest .miniMap, .quest .map, .quest .lootRatio, .quest .campaignProgression {
        margin-left:10px;
        margin-right:10px;   
    }

    .campaignLogo {
        animation-name: campaign-logo-still;
    }
    
    .campaignName {
        font-size: 40px;
        line-height: 40px;
        letter-spacing:0;
        margin:20px 0;
    }

    .coverCampaign .cover {
        padding:20px 0 20px 0;
        margin-bottom:20px;
        background-color: #333;
    }

}

@media screen and (max-width: 650px) {

    .header .logo {
        display: none;
    }
    
    .coverCampaign .title .text {
        font-size: 18px;
        line-height: 20px;
    }

    .coverCampaign .title .diamond  {
        min-width:20px;
    }

    .campaignLogo {
        width:50%;
        margin-bottom:10px;
    }

    .campaignName {
        font-size: 20px;
        line-height: 20px;
        margin:5px 0;
        padding: 0;
    }

    .coverCampaign .cover {
        padding:10px 0 10px 0;
        margin-bottom:10px;
        background-color: #333;
    }
    
}